Skip to main content

Get document reviews

GET 

/documents/:documentId/reviews

Get a listing of reviews for a document

Request​

Path Parameters

    documentId stringrequired

    Document Identifier

Query Parameters

    siteId string

    Site Identifier

    artifactId string

    Artifact Document Identifier

    limit string

    Limit Results

    Default value: 10
    next string

    Next page of results token

Responses​

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    next string

    Next page of results token

    reviews

    object[]

    List of document reviews

  • Array [

  • documentId string

    Document Identifier

    artifactId string

    Artifact Identifier

    reviewId string

    Review Identifier

    reviewCategory string

    Review category

    reviewStatus DocumentReviewStatus (string)

    Status of Document Review:

    • PENDING: Review has been created and is waiting for one or more decisions.
    • IN_PROGRESS: Review has been claimed or at least one decision has been submitted, but completion requirements are not yet satisfied.
    • COMPLETED: Completion requirements are satisfied.
    • CANCELLED: Review was cancelled before completion.
    • SUPERSEDED: Review was replaced by another review, usually because the artifact/document changed.

    Possible values: [PENDING, IN_PROGRESS, COMPLETED, CANCELLED, SUPERSEDED]

    approvalGroups string[]

    Optional approval groups used for additional credential verification when submitting a decision to POST /documents/{documentId}/reviews/{reviewId}/decisions. The caller must belong to at least one of the listed groups, in addition to satisfying the existing authorization requirements.

    requiredDecisions int64

    Number of decisions required to complete the review

    userId string

    User who added review

    comments string

    Review comments

    insertedDate string

    Inserted Timestamp

    lastModifiedDate string

    Last Modified Timestamp

  • ]

Loading...